Add dependency to mspgui since symbols from it are used
[libs/vr.git] / Build
1 package "mspvr"
2 {
3         description "OpenGL-based virtual reality library";
4         version "0.1";
5
6         require "mspgl";
7         require "mspgui";
8
9         feature "libovr" "Support Oculus Rift through LibOVR";
10
11         if_feature "libovr"
12         {
13                 require "libovr";
14                 require "libudev";
15
16                 build_info
17                 {
18                         warning_level 1;
19                 };
20         };
21
22         library "mspvr"
23         {
24                 source "source";
25                 if_feature "libovr"
26                 {
27                         source "source/ovr";
28                 };
29                 install true;
30                 install_map
31                 {
32                         map "source" "include/msp/vr";
33                 };
34         };
35 };